Skip to content

Get custom operator by ID

Request

Returns a single custom operator based on the custom operator ID.

Security
bearer
Path
customOperatorIdstringrequired

ID of custom operator to return

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator/{customOperatorId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Returns custom operator

Bodyapplication/json
idstringrequired
Example:"some_id"
namestringrequired
Example:"hello_world_operator"
classNamestringrequired
Example:"HelloWorld"
descriptionstringrequired
Example:"Used to print hello world"
createdBystringread-only
createdAtstring, (date-time)
propertiesArray of objects(CustomOperatorProperty)
Response
{ "id": "some_id", "name": "hello_world_operator", "className": "HelloWorld", "description": "Used to print hello world", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "properties": [ { … } ] }